/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const userRouter = {
  path: '/user',
  component: Layout,
  redirect: '/user/list',
  alwaysShow: true, // will always show the root menu
  name: 'UserSitting', // name必须和后台配置一致，不然匹配不到
  meta: { title: '用户管理', icon: 'user' },
  children: [
    {
      path: 'record-list',
      component: () => import('@/views/user/record/list'),
      name: 'RecordList',
      meta: { title: '用户行为记录', icon: 'international', activeMenu: '/user/list' }
    },
    {
      path: 'detail-list',
      hidden: true,
      component: () => import('@/views/user/record/detail-list'),
      name: 'RecordDtails',
      meta: { title: '查看详情', noCache: true, activeMenu: '/user/list' }
    }
  ]
}
export default userRouter
